import React from 'react';
import { DescopeInputProps } from '../types';
declare global {
    namespace React.JSX {
        interface IntrinsicElements {
            'descope-number-field': DescopeInputProps;
        }
    }
}
declare const NumberField: React.ForwardRefExoticComponent<Omit<DescopeInputProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
export default NumberField;
